<?php

namespace Drupal\qtools_common\Twig;

use Drupal\Core\Url;

/**
 * Provides way to build links from path.
 */
class QUrlExtension extends \Twig_Extension {

  /**
   * {@inheritdoc}
   */
  public function getName() {
    return 'qurl';
  }

  /**
   * {@inheritdoc}
   */
  public function getFunctions() {
    return [
      new \Twig_SimpleFunction('qurl', [$this, 'qUrlFunction'], [
        'is_safe' => ['html'],
      ]),
    ];
  }

  /**
   * Builds url from internal path.
   *
   * @return string
   *   Complete url.
   */
  public function qUrlFunction($uri) {
    $output = Url::fromUri($uri)->toString();
    return $output;
  }

}
