<?php

namespace Drupal\qtools_common\Utility;

use Drupal\Core\Cache\Cache;

/**
 * Class QToolsConfigurableServiceBase.
 *
 * @package Drupal\qtools_common\Utility
 */
abstract class QToolsConfigurableServiceBase implements QToolsConfigurableServiceInterface {
  use QToolsConfigTrait;

  /**
   * {@inheritdoc}
   */
  public function getCacheTags() {
    return ['qtools_common_config:' . $this->getConfigTraitBundle()];
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheContexts() {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheMaxAge() {
    return Cache::PERMANENT;
  }
}