<?php

namespace Drupal\qtools_common\Utility;

use Drupal\Core\Cache\CacheableDependencyInterface;

interface QToolsConfigurableServiceInterface extends CacheableDependencyInterface {

  /**
   * Returns default configuration.
   *
   * @return array
   *   Keyed array of configuration with default values.
   */
  public function getConfigTraitDefaults();

  /**
   * Returns configuration name/prefix.
   *
   * @return string
   *   Config name/prefix.
   */
  public function getConfigTraitBundle();

  /**
   * Gets config value.
   *
   * @param $key
   * @return mixed
   * @throws \Exception
   */
  public function config($key);

}